Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.advice
Class PerJoinpointAdvice

    java.lang.Object
      org.jboss.aop.advice.AbstractAdvice
          org.jboss.aop.advice.PerJoinpointAdvice

All Implemented Interfaces:
  Interceptor, Untransformable

public class PerJoinpointAdvice
extends AbstractAdvice

Comment

Version:
  $Revision: 1.8 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.aop.advice.AbstractAdvice
`adviceName, aspectClass, conCalledByConstructorAdvice, conCalledByMethodAdvice, constructorAdvice, fieldAdvice, fieldReadAdvice, fieldWriteAdvice, invocationAdvice, methodAdvice, methodCalledByConstructorAdvice, methodCalledByMethodAdvice`

Constructor Summary
`PerJoinpointAdvice(String adviceName, AspectDefinition a, Advisor advisor, Joinpoint joinpoint)`

Method Summary
`static Interceptor` | `createInterceptor(Advisor advisor, Joinpoint joinpoint, AspectDefinition def, String adviceName)`
`String` | `getName()`
`Object` | `invoke(Invocation invocation)`

Methods inherited from class org.jboss.aop.advice.AbstractAdvice
`findByConstructorCalledByConstructorInvocation, findByConstructorCalledByMethodInvocation, findByConstructorInvocation, findByFieldInvocation, findByFieldReadInvocation, findByFieldWriteInvocation, findByInvocation, findByMethodCalledByConstructorInvocation, findByMethodCalledByMethodInvocation, findByMethodInvocation, init, resolveAdvice`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerJoinpointAdvice

    public PerJoinpointAdvice(String adviceName,
                              AspectDefinition a,
                              Advisor advisor,
                              Joinpoint joinpoint)

Method Detail

### createInterceptor

    public static Interceptor createInterceptor(Advisor advisor,
                                                Joinpoint joinpoint,
                                                AspectDefinition def,
                                                String adviceName)
                                         throws Exception

  Throws:
    `Exception`

### getName

    public String getName()

### invoke

    public Object invoke(Invocation invocation)
                  throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.